Subject: Re: [PATCH net-next 0/2] net: xilinx: axienet: Enable adaptive IRQ coalescing with DIM

From: Sean Anderson <[email-masked]>
Date: Thu, 5 Sep 2024 10:27:00 -0400

On 9/4/24 12:35, Simon Horman wrote:
> On Tue, Sep 03, 2024 at 03:25:22PM -0400, Sean Anderson wrote:
>> To improve performance without sacrificing latency under low load,
>> enable DIM. While I appreciate not having to write the library myself, I
>> do think there are many unusual aspects to DIM, as detailed in the last
>> patch.
>> 
>> This series depends on [1].
>> 
>> [1] https://lore.kernel.org/netdev/[email-masked]/
> 
> Hi Sean,
> 
> Unfortunately the CI doesn't understand dependencies,
> and so it is unable to apply this patchset :(
> 
> I would suggest bundling patches for the same driver for net-next
> in a single patchset. And in any case, only having one active
> at any given time.
> 

Well, I would normally do so, but that patch is a fix and this series is
an improvement. So that one goes into net and this one goes into net-next.

I've been advised in the past to split up independent patches so they can be
reviewed/applied individually.

--Sean